HINDI_0_10 = {
    "शून्य": 0,
    "एक": 1,
    "दो": 2,
    "तीन": 3,
    "चार": 4,
    "पांच": 5,
    "छह": 6,
    "सात": 7,
    "आठ": 8,
    "नौ": 9,
    "दस": 10
}

HINDI_11_20 = {
    "ग्यारह": 11,
    "बारह": 12,
    "तेरह": 13,
    "चौदह": 14,
    "पंद्रह": 15,
    "सोलह": 16,
    "सत्रह": 17,
    "अठारह": 18,
    "नौवां": 19,
    "बीस": 20
}

HINDI_21_30 = {
    "इक्कीस": 21,
    "बाईस": 22,
    "तेईस": 23,
    "चौबीस": 24,
    "पच्चीस": 25,
    "छब्बीस": 26,
    "सत्ताईस": 27,
    "अट्ठाईस": 28,
    "उनतीस": 29,
    "तीस": 30
}

HINDI_31_40 = {
    "इकतीस": 31,
    "बत्तीस": 32,
    "तैंतीस": 33,
    "चौंतीस": 34,
    "पैंतीस": 35,
    "छत्तीस": 36,
    "सैंतीस": 37,
    "अड़तीस": 38,
    "उनतालीस": 39,
    "चालीस": 40
}

HINDI_41_50 = {
    "इकतालीस": 41,
    "बयालीस": 42,
    "तैंतालीस": 43,
    "चौवालीस": 44,
    "पैंतालीस": 45,
    "छियालीस": 46,
    "सैंतालीस": 47,
    "अड़तालीस": 48,
    "उनचास": 49,
    "पचास": 50
}

HINDI_51_60 = {
    "इक्यावन": 51,
    "बावन": 52,
    "तिरपन": 53,
    "चौवन": 54,
    "पचपन": 55,
    "छप्पन": 56,
    "सत्तावन": 57,
    "अट्ठावन": 58,
    "उनसठ": 59,
    "साठ": 60
}

HINDI_61_70 = {
    "इकसठ": 61,
    "बासठ": 62,
    "तिरसठ": 63,
    "चौंसठ": 64,
    "पैंसठ": 65,
    "छियासठ": 66,
    "सड़सठ": 67,
    "अड़सठ": 68,
    "उनहत्तर": 69,
    "सत्तर": 70
}

HINDI_71_80 = {
    "इकहत्तर": 71,
    "बहत्तर": 72,
    "तिहत्तर": 73,
    "चौहत्तर": 74,
    "पचहत्तर": 75,
    "छिहत्तर": 76,
    "सतहत्तर": 77,
    "अठहत्तर": 78,
    "उनासी": 79,
    "अस्सी": 80
}

HINDI_81_90 = {
    "इक्यासी": 81,
    "बासी": 82,
    "तिरासी": 83,
    "चौरासी": 84,
    "पचासी": 85,
    "छियासी": 86,
    "सतासी": 87,
    "अट्ठासी": 88,
    "नवासी": 89,
    "नब्बे": 90
}

HINDI_91_100 = {
    "इक्यानवे": 91,
    "बानवे": 92,
    "तिरानवे": 93,
    "चौरानवे": 94,
    "पचानवे": 95,
    "छियानवे": 96,
    "सत्तानवे": 97,
    "अट्ठानवे": 98,
    "निन्यानवे": 99,
    "सौ": 100
}

HINDI_WORD_NUM = {
    "हजार": 10 ** 3,
    "लाख": 10 ** 5,
    "करोड़": 10 ** 7,
    "अरब": 10 ** 9,
    "खरब": 10 ** 11,
    "नील": 10 ** 13,
    "पद्म": 10 ** 15,
    "शंख": 10 ** 17,
    "अंत": 10 ** 19,
    "मध्य": 10 ** 21,
    "परार्ध": 10 ** 23,
    "धुन": 10 ** 25,
    "अशोहिनी": 10 ** 27,
}

HINDI_WORD_NUM = (HINDI_WORD_NUM | HINDI_0_10 | HINDI_11_20 | HINDI_21_30 | HINDI_31_40 | HINDI_41_50 | HINDI_51_60 |
                  HINDI_61_70 | HINDI_71_80 | HINDI_81_90 | HINDI_91_100)

HINDI_NUM_WORDS = {
    "ZERO": ["शून्य", "सौ"],
    "UNIT": ["", "एक", "दो", "तीन", "चार", "पांच", "छह", "सात", "आठ", "नौ"],
    "TEENS": ["", "ग्यारह", "बारह", "तेरह", "चौदह", "पंद्रह", "सोलह", "सत्रह", "अठारह", "नौवां"],
    "OTHERS": ["", ],
    "TENS": ["", "दस", "बीस", "तीस", "चालीस", "पचास", "साठ", "सत्तर", "अस्सी", "नब्बे"],
    "THOUSANDS": ["", "हजार", "लाख", "करोड़", "अरब", "खरब", "नील", "पद्म", "शंख", "अंत", "मध्य", "परार्ध", "धुन",
                  "अशोहिनी"],
    "POWER": [1, 3, 5, 7, 9, 11, 13, 15, 17, 19, 21, 23, 25, 27]
}

HINDI_NUM_WORDS["OTHERS"].extend(HINDI_11_20.keys())
HINDI_NUM_WORDS["OTHERS"].extend(HINDI_21_30.keys())
HINDI_NUM_WORDS["OTHERS"].extend(HINDI_31_40.keys())
HINDI_NUM_WORDS["OTHERS"].extend(HINDI_41_50.keys())
HINDI_NUM_WORDS["OTHERS"].extend(HINDI_51_60.keys())
HINDI_NUM_WORDS["OTHERS"].extend(HINDI_61_70.keys())
HINDI_NUM_WORDS["OTHERS"].extend(HINDI_71_80.keys())
HINDI_NUM_WORDS["OTHERS"].extend(HINDI_81_90.keys())
HINDI_NUM_WORDS["OTHERS"].extend(HINDI_91_100.keys())
